@import '../variables';

.form-input-component {
  .error-hint {
    position: relative;
    height: 0;
    overflow: visible;
    
    & > div {
      position: absolute;
      top: -1em;
      right: -1em;
      background: $brand-danger;
      color: white;
      padding: 0.25em 0.5em;
      font-size: 12px;
      z-index: 5;
    }
  }
}

.global-messages-component {
  position: fixed;
  left: 20px;
  bottom: 20px;
  z-index: 11000;
  width: 30%;
  mix-width: 300px;
  
  .message {
    opacity: 1;
    
    &.message-hidden {
      opacity: 0;
      transition: opacity 200ms;
    }
    
    & + .message {
      margin-top: 20px;
    }
    
    &.with-icon {
      .text { margin-left: 30px; }
      .icon { float: left }
    }
  }
}
